kr.co.hanwha.hifive.adapter

## Class AddTaskSelectedMemberPagerAdapter

- java.lang.Object
- - android.support.v4.view.PagerAdapter
  - - kr.co.hanwha.hifive.adapter.AddTaskSelectedMemberPagerAdapter

- All Implemented Interfaces:
    AddTaskSelectedMemberPagerContract.Model, AddTaskSelectedMemberPagerContract.View

      public class AddTaskSelectedMemberPagerAdapter
      extends android.support.v4.view.PagerAdapter
      implements AddTaskSelectedMemberPagerContract.Model, AddTaskSelectedMemberPagerContract.View

  Add TASK : 선택된 멤버페이지뷰 어댑터
  See Also:
    `Created by sanghoonkwon on 2018. 1. 18..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `mContext`
    `private android.view.LayoutInflater` | `mLayoutInflater`
    `private java.util.ArrayList<MemberInfoData>` | `mListData`
    `private AddTaskSelectedMemberPagerContract.OnMemberPagerListener` | `mOnMemberPagerListener`
    `private int` | `ZERO`

    - ### Fields inherited from class android.support.v4.view.PagerAdapter

      `POSITION_NONE, POSITION_UNCHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddTaskSelectedMemberPagerAdapter(android.content.Context context, AddTaskSelectedMemberPagerContract.OnMemberPagerListener onMemberPagerListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItems(java.util.ArrayList<MemberInfoData> list)`
    `void` | `destroyItem(android.view.ViewGroup container, int position, java.lang.Object object)`
    `private android.content.Context` | `getContext()` Support methods
    `int` | `getCount()`
    `int` | `getItemPosition(java.lang.Object object)`
    `float` | `getPageWidth(int position)`
    `java.lang.Object` | `instantiateItem(android.view.ViewGroup container, int position)`
    `boolean` | `isViewFromObject(android.view.View view, java.lang.Object object)`
    `void` | `notifyDataAll()`

    - ### Methods inherited from class android.support.v4.view.PagerAdapter

      `destroyItem, finishUpdate, finishUpdate, getPageTitle, instantiateItem, notifyDataSetChanged, registerDataSetObserver, restoreState, saveState, setPrimaryItem, setPrimaryItem, startUpdate, startUpdate, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZERO

          private final int ZERO

      See Also:
        Constant Field Values

    - #### mLayoutInflater

          private android.view.LayoutInflater mLayoutInflater

    - #### mOnMemberPagerListener

          private AddTaskSelectedMemberPagerContract.OnMemberPagerListener mOnMemberPagerListener

    - #### mListData

          private java.util.ArrayList<MemberInfoData> mListData

    - #### mContext

          private android.content.Context mContext

  - ### Constructor Detail

    - #### AddTaskSelectedMemberPagerAdapter

          public AddTaskSelectedMemberPagerAdapter(@NonNull
                                                   android.content.Context context,
                                                   AddTaskSelectedMemberPagerContract.OnMemberPagerListener onMemberPagerListener)

  - ### Method Detail

    - #### instantiateItem

          public java.lang.Object instantiateItem(android.view.ViewGroup container,
                                                  int position)

      Overrides:
        `instantiateItem` in class `android.support.v4.view.PagerAdapter`

    - #### getPageWidth

          public float getPageWidth(int position)

      Overrides:
        `getPageWidth` in class `android.support.v4.view.PagerAdapter`

    - #### getItemPosition

          public int getItemPosition(java.lang.Object object)

      Overrides:
        `getItemPosition` in class `android.support.v4.view.PagerAdapter`

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in class `android.support.v4.view.PagerAdapter`

    - #### isViewFromObject

          public boolean isViewFromObject(android.view.View view,
                                          java.lang.Object object)

      Specified by:
        `isViewFromObject` in class `android.support.v4.view.PagerAdapter`

    - #### notifyDataAll

          public void notifyDataAll()

      Specified by:
        `notifyDataAll` in interface `AddTaskSelectedMemberPagerContract.View`

    - #### addItems

          public void addItems(@NonNull
                               java.util.ArrayList<MemberInfoData> list)

      Specified by:
        `addItems` in interface `AddTaskSelectedMemberPagerContract.Model`

    - #### destroyItem

          public void destroyItem(android.view.ViewGroup container,
                                  int position,
                                  java.lang.Object object)

      Overrides:
        `destroyItem` in class `android.support.v4.view.PagerAdapter`

    - #### getContext

          private android.content.Context getContext()

      Support methods